Transaction Details
curl --request GET \
--url https://nini.monieswitch.com/transaction/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/transaction/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/transaction/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"transaction": {
"id": "196caf5c-20af-49c1-93ff-a8e6ade183b2",
"type": "DEBIT",
"status": "SUCCESS",
"charges": 10,
"category": "BANK_TRANSFER",
"amount": 500,
"amountProcessed": 510,
"sessionId": "999270240717154010540073988655",
"description": "₦500.00 transferred to SIMI MICHELLE",
"createdAt": "2024-07-17T14:40:09.244Z",
"narration": "Free money testing 03",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"beneficiaryBankCode": "000023",
"beneficiaryBankName": "PROVIDUS BANK",
"originatorAccountName": "Neyosoft",
"beneficiaryAccountName": "SIMI MICHELLE",
"originatorAccountNumber": "4409794005",
"beneficiaryAccountNumber": "2394934324"
}
}
}{
"status": false,
"message": "Please provide transaction reference or ID"
}Transactions
Transaction Details
GET
/
transaction
/
info
Transaction Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I